Reading account
Read account
GET /api/public/v1/accounts/:id
This endpoint returns the data of a single account.
Headers
Content-Type
application/vnd.api+json
Authorization
Bearer <api_key>
Path Parameters
id
string
Account ID.
Response
{
"data": {
"id": "e289de2b-37bd-4eff-b832-f754c31a2d95",
"type": "accounts",
"attributes": {
"master": true,
"currencyCode": "USDT",
"label": "master",
"bankReference": "BDR4180381621673581",
"balance": "344086.455299",
"totalBalance": "344219.499753",
"currencyType": "crypto"
},
"relationships": {
"company": {
"meta": {
"included": false
}
},
"networks": {
"data": [
{
"type": "network",
"id": "2cfea86d-f334-4bd2-99ac-e74281520c95"
},
{
"type": "network",
"id": "8ededca3-a1cd-4b46-8c3a-14915f706ab2"
},
{
"type": "network",
"id": "490f02d4-b09a-4486-a469-d10c2ea43638"
},
{
"type": "network",
"id": "927d49d4-f4b2-48dc-876d-ac375337ec2a"
}
]
}
}
},
"included": [
{
"id": "2cfea86d-f334-4bd2-99ac-e74281520c95",
"type": "network",
"attributes": {
"currencyCode": "USDT",
"name": "Ethereum (ERC20)",
"code": "hterc6dp"
}
},
{
"id": "8ededca3-a1cd-4b46-8c3a-14915f706ab2",
"type": "network",
"attributes": {
"currencyCode": "USDT",
"name": "Tron (TRC20)",
"code": "ttrx:usdt"
}
},
{
"id": "490f02d4-b09a-4486-a469-d10c2ea43638",
"type": "network",
"attributes": {
"currencyCode": "USDT",
"name": "Polygon (ERC20)",
"code": "tpolygon:usdt"
}
},
{
"id": "927d49d4-f4b2-48dc-876d-ac375337ec2a",
"type": "network",
"attributes": {
"currencyCode": "USDT",
"name": "Binance Smart Chain (BEP20)",
"code": "tbsc:usdt"
}
}
],
"meta": {},
"jsonapi": {
"version": "1.0"
}
}Response Body
data.id
string
Account ID.
data.type
string
Entity type returned. Always accounts.
data.attributes
object
A set of account attributes.
data.attributes.master
boolean
If ture, accoint is master. If false, account is subaccount.
data.attributes.bankReference
string
Unique bank deposit reference for each account and subaccount. Example: BDR6421088115176062.
data.attributes.balance
string
Account total balance.
data.attributes.totalBalance
string
Total balance across the master account and all subaccounts (applicable to master accounts).
data.attributes.currencyType
string
Account currency type. Can be either fiat or crypto.
included.id
string
Entity ID.
included.type
string
Entity type. Only "network" for now.
included.attributes.currencyCode
string
Network currency code. Useful for displaying to end-users.
included.attributes.name
string
Network name. Useful for displaying to end-users.
Last updated